Cloud Services Articles

Announcements
Customer Notice: Panorama Certificate Expiration on June 16 2017.  Read More >

Invalid Credentials Error when Adding Yammer to Aperture

by mlue on ‎01-11-2017 12:18 PM (431 Views)

Symptoms

When the Aperture admin attempts to add Yammer to Aperture, the user receives the "invalid_credentials" error message even though the Yammer's network administrator account is authenticated successfully.

 

yammer_invalid_credentials.png

 

Diagnosis

Yammer has a feature called "3rd Party Applications" that, if disabled, makes Yammer not allow any third-party applications to access the Yammer account.

Solution

 Enable the "3rd Party Applications" feature in Yammer's configuration to allow Aperture to access Yammer.

 

  • To enable this feature, login to the Yammer account via Yammer's admin user account.
  • At the bottom left corner of the page, click on the gear icon and select "NETWORK ADMIN".
    network_admin.png
  • Then, select "Configuration" under "Network".
    configuration.png
  • At the bottom of the Configuration page, check the "3rd Party Applications" checkbox under the "Enabled Features" section.
    enable_feature.png
  • Click on the "Save" button to save the changes.

Once the changes have be saved on Yammer, it should allow Aperture to add Yammer successfully and begin monitoring its assets.  

Register now
Ask Questions Get Answers Join the Live Community
Contributors